aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorMarcoFalke <falke.marco@gmail.com>2021-02-10 09:00:10 +0100
committerMarcoFalke <falke.marco@gmail.com>2021-02-10 08:59:35 +0100
commitfaa8afe70b4992267176a97262f59413d1a1196b (patch)
tree356a85227a366405701315c9714876caccd0cad8 /ci
parent09530b0255aba083bf168322a95b89cc387e616f (diff)
downloadbitcoin-faa8afe70b4992267176a97262f59413d1a1196b.tar.xz
ci: Re-run wine tests once if they fail
Diffstat (limited to 'ci')
-rwxr-xr-xci/test/wrap-wine.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/ci/test/wrap-wine.sh b/ci/test/wrap-wine.sh
index 5c2eae2dd6..82964897e1 100755
--- a/ci/test/wrap-wine.sh
+++ b/ci/test/wrap-wine.sh
@@ -6,8 +6,6 @@
export LC_ALL=C.UTF-8
-wine --version
-
for b_name in {"${BASE_OUTDIR}/bin"/*,src/secp256k1/*tests,src/univalue/{no_nul,test_json,unitester,object}}.exe; do
# shellcheck disable=SC2044
for b in $(find "${BASE_ROOT_DIR}" -executable -type f -name "$(basename $b_name)"); do
@@ -15,7 +13,7 @@ for b_name in {"${BASE_OUTDIR}/bin"/*,src/secp256k1/*tests,src/univalue/{no_nul,
echo "Wrap $b ..."
mv "$b" "${b}_orig"
echo '#!/usr/bin/env bash' > "$b"
- echo "wine \"${b}_orig\" \"\$@\"" >> "$b"
+ echo "( wine \"${b}_orig\" \"\$@\" ) || ( sleep 1 && wine \"${b}_orig\" \"\$@\" )" >> "$b"
chmod +x "$b"
fi
done